const UserRepository = require('../../../infrastructure/repositories/UserRepository');

class GetAllUsersHandler {
  constructor() {
    this.userRepository = new UserRepository();
  }

  async handle(query) {
    return await this.userRepository.findAll();
  }
}

module.exports = GetAllUsersHandler;
